AurionAI Docs

Create Custom Form

POST
/api/v2/custom-fields/forms

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v2/custom-fields/forms" \  -H "Content-Type: application/json" \  -d '{    "entity_type": "string",    "name": "string"  }'
{
  "conditional_rules": [
    null
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "description": "string",
  "entity_type": "string",
  "field_order": [
    "string"
  ],
  "id": "string",
  "is_default": false,
  "metadata": {},
  "name": "string",
  "published_at": "2019-08-24T14:15:22Z",
  "purpose": "string",
  "schema": {},
  "status": "active",
  "ui_schema": {},
  "updated_at": "2019-08-24T14:15:22Z",
  "version": 1
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}